`timescale 1ns / 1ps

module lab07_top(
   input  wire       clk16M,     // 16 MHz rajel
   input  wire       rstbt,      // Reset nyomgomb

   output wire [3:0] dig_n,      // Digit engedlyezo jel
   output wire [7:0] seg_n       // Szegmens jelek
);

// perc:msodperc szmll pldnyostsa
wire [3:0] cntr[3:0];

cntr_min_sec cntr_min_sec_i(
   .clk        (clk16M),
   .rst        (rstbt),

   .sec_ones   (cntr[0]),
   .sec_tens   (cntr[1]),
   .min_ones   (cntr[2]),
   .min_tens   (cntr[3])
);


// 7 szegmenses kijelz vezrl pldnyosts
cntrl_seg7 cntrl_seg7_i(
   .clk        (clk16M),
   .rst        (rstbt),

   .d0         (cntr[0]),
   .d1         (cntr[1]),
   .d2         (cntr[2]),
   .d3         (cntr[3]),
   
   .dig_n      (dig_n),
   .seg_n      (seg_n)
);


endmodule
